# Identities

## Create Identity

<mark style="color:green;">`POST`</mark> `https://api.uproofs.apio.cc/identities`

#### Headers

| Name           | Type   | Description |
| -------------- | ------ | ----------- |
| Authentication | string | apikey      |

#### Request Body

| Name    | Type   | Description                                                      |
| ------- | ------ | ---------------------------------------------------------------- |
| company | object | Object that contain name and domain of your company or identity. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Get Identity

<mark style="color:blue;">`GET`</mark> `https://api.uproofs.apio.cc/identities`

This endpoint allows you to get your registered identity

#### Headers

| Name           | Type   | Description                                                |
| -------------- | ------ | ---------------------------------------------------------- |
| Authentication | string | You need to insert your Api Key. For example "apikey 1234" |

{% tabs %}
{% tab title="200 Identity successfully retrieved." %}

```
{
    "status": true,
    "data": {
        "status": "disabled",
        "company": {
            "verified": false,
            "_id": "60df5d7f789d436a860f5447",
            "name": "APIO2 S.p.A.",
            "domain": "apio.cc"
        },
        "defaultIdentity": {
            "_id": "60df5d7f789d4307d60f5448",
            "publicKey": "0x6a2aa30c2910d1301622d5aabf05da7577c938fc",
            "encryptPrivate": {
                "_id": "60df5d7f789d43041a0f5449",
                "iv": "38a4e8d6255299136ed599b956c45f09",
                "content": "fb2bc7020bf8c40c38832eaeb608c30355bfac9a8302a365e94e3f63e523fdcb09543fd01427effbeb5c6f0f6317d43f7032a300dfee66cf2a07731cdcec1fd2"
            }
        },
        "accountId": "8fc9d70a-682a-4587-9793-985120613f04",
        "uuid": "0a8a3015-6401-418f-bd9c-83cccbb24964",
        "createdAt": "2021-07-02T18:39:59.505Z",
        "updatedAt": "2021-07-06T08:51:22.873Z"
    }
}
```

{% endtab %}

{% tab title="401 Wrong Api Key" %}

```
{
    "status": false,
    "error": {
        "statusCode": 401,
        "type": "Unauthorized",
        "message": "Missing authorization header",
        "name": "Unauthorized",
        "code": "Unauthorized"
    }
}
```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
{
    "status": true,
    "data": {
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uproofs.apio.cc/api-reference/identities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
